Last Comment Bug 82122 - Account Manager window size is too large for tiny screens (640*480 etc)
: Account Manager window size is too large for tiny screens (640*480 etc)
Status: NEW
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- normal with 11 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 82121 84102 469803 (view as bug list)
Depends on:
Blocks: tb-netbooks 104166 154249 154424
  Show dependency treegraph
 
Reported: 2001-05-22 08:22 PDT by Matthew Paul Thomas
Modified: 2015-02-25 14:32 PST (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Current situation (40.87 KB, image/png)
2004-05-13 10:21 PDT, Stefan Borggraefe
no flags Details

Description Matthew Paul Thomas 2001-05-22 08:22:27 PDT
Build: 2001052115, Mac OS 9.1

To reproduce:
*   Switch to 640*480 resolution, if indeed you had a choice of any resolution
    higher than that to begin with.
*   Open the Account Manager.
*   Try to get anything done.

What should happen:
*   You can.

What actually happens:
*   You can't.

The Account Manager needs to be shrunk like the main Preferences window was. 
Currently, it is practically unusable at low resolution.

See also bug 57956 and bug 66001.
Comment 1 Matthias Versen [:Matti] 2001-05-22 08:41:44 PDT
*** Bug 82121 has been marked as a duplicate of this bug. ***
Comment 2 Håkan Waara 2001-06-01 14:36:01 PDT
Not Macintosh specific. -> All.
Comment 3 Håkan Waara 2001-06-01 14:36:21 PDT
Why is this assigned to Ben? This is Bhuvan's area.
Comment 4 racham 2001-06-01 15:35:07 PDT
Reassinging to myself.

Adding Jennifer & Robin to the cc list.

bhuvan
Comment 5 racham 2001-06-01 15:37:12 PDT
Reassinging to myself -> Reassigning to myself.

We need a spell checker in bugzilla :-)

Accepting.
Comment 6 Matthew Paul Thomas 2001-06-05 12:07:05 PDT
*** Bug 84102 has been marked as a duplicate of this bug. ***
Comment 7 Skewer 2001-06-13 18:57:08 PDT
Nominating for nsbeta1. Without fixing this bug the account settings window is
unusable at lower resolutions.
Comment 8 Skewer 2001-10-14 18:11:14 PDT
This bug defeats proper tab navigation.

*Needs a relnote.*
Comment 9 Skewer 2001-10-29 15:03:51 PST
putterman: Why do you think this should be left unfixed for the next Netscape
beta? I disagree, since this severely impairs accessibility to users with
special needs; namely, lower screen resolutions (640x480) and tab navigation. At
the default size several fields are unviewable in the account settings window.

Netscape needs to be extra careful to make sure users with special needs are not
ignored in public releases.
Comment 10 Håkan Waara 2001-10-29 15:17:22 PST
First off, Skewer, can you please argue with putterman over Netscape efforts in
private emails or elsewhere? Unless you have a patch for this or otherwise can
help fixing this bug faster, do not comment because it will not help anyone.

Secondly, I think this bug should be made a meta-bug. We can't just shrink the
size of this window, because we'll need to make the panels take up less space first.

Nbaca, could we add some dependencies?
Comment 11 Skewer 2001-10-30 15:21:19 PST
If putterman can suggest a reason why this is not important enough to be fixed
for the next Netscape beta, that information will be important to this bug.
Typically Netscape engineers will explain why a bug doesn't need to be fixed or
offer a workaround (in this case there's no good workaround) when they accept or
reject a nsbeta1 nomination. Right now users at 640x480 or who use the keyboard
to navigate the account settings window have no alternatives.

I agree that this should be a meta bug, since the underlying problem that causes
this is unacceptable pref panels.
Comment 12 (not reading, please use seth@sspitzer.org instead) 2003-05-08 10:47:53 PDT
mass re-assign.
Comment 13 Damian Yerrick 2003-08-27 20:29:02 PDT
On Windows 2000, with small fonts:
I created a new GIMP window 600x400 pixels in size (plus titlebar and
scrollbars) and turned off the status bar and rulers.  This gives an
approximate maximum window size for Mozilla dialogs on small displays,
so that I can check which panels are the biggest offenders.  Then I
opened a Mozilla build from mid-August, using the 'Modern' theme.

Result:
No panel needs the window to be wider than the reference window.
Only the news.isp.com > Offline & Disk Space panel needs the window
to be taller than the reference window.

Reporter: Is this still a problem with a more recent Mozilla app suite
build such as the fresh 1.5 Beta?  Does the Mac version use bigger fonts
or more whitespace or something?
Comment 14 Chan Min Wai 2003-10-04 02:31:51 PDT
I've some different idea To make this fix...
Instate to Forcing People To getting a BIGGER or Higher Resolution.

I suggest that make the scroll bar for the configuration Screen.
So that even if they are running on a lower resolution, you can still scrool
through... 

Isn't that Nice?
Comment 15 Matthew Paul Thomas 2003-10-04 15:45:55 PDT
Chan Min Wai, that's bug 54679, which is WONTFIX because it's a very bad idea.
Comment 16 Chan Min Wai 2003-10-05 02:56:58 PDT
Then Use Tab within It.
It organization the Configuration better, If it is not being misuse.

Comment 17 Stefan Borggraefe 2004-03-19 03:22:38 PST
I fixed bug 57956 and made the Account Manager window a bit smaller, too. Is
this bug still an issue now?
Comment 18 Stefan Borggraefe 2004-05-13 10:21:30 PDT
Created attachment 148428 [details]
Current situation

This screenshot shows the Account Settings' Offline & Disk Space pane for a
news-account on a freshly installed Windows XP with 640x480. This is the
largest pane of the Account Settings dialog.

The dialog is basically useable, but the dialog buttons and the title bar are
cut. With 800x600 there is no problem anymore.
Comment 19 Paolo Panizza 2004-10-02 16:36:20 PDT
(In reply to comment #17)
> I fixed bug 57956 and made the Account Manager window a bit smaller, too. Is
> this bug still an issue now?

yes - namely, the whole fixed-(too-big)-size-prefs-panels is and likely remain
an issue, until it's realized that eg old Chan Min Wai's suggestion is wise and
correct, while conclusions for WONTFIX in bug 54679 are wrong.
Wrong because based on assumtions of too tight control over what end user
environment might be. As noted, esp. in *nix/X, combination of screen size and
point size/dpi may lead to an unusable prefs panels.
Late real example experience: I had to guide a guy on the other side of the
ocean to setup Mozy, through VNC; he was on 1600x1400, with due dpi, but due to
bandwith I setup a vnc window only 600x400x8 (and I'm on a 800x600 LCD on a
small notebook anyway). Prefs panel in my window was largely unreachable, and I
had to play a lot with windowmanager's key shortcut to resize it. It took 30'
what could be accomplished in 5'.
Next I setup plan(1), you know, the motif-styled calendar; option/setup panels
there may be quite rough and old styled, and on opening they take smallest size
enough to show all widgets - which usually means for me they go beyond screen.
But ask the windowmanager to enforce panel windows within screen, and voila' it
gets resized and a couple scrollbars appears, which allows for not-so-bad
navigation around panel items.
Bottom line: Mozy prefs panel may be designed according to sound human-computer
interface criteria (www.iarchitect.com, as mentioned in bug 54679), but turns
out to be almost unusable in some not-so-exoteric situation, while plan's
quickly crafted prefs interface remains usable.
Now, which one is the bad idea, then? 
Please have the panels and widgets to auto-size to always show up in full, and
if screen area real estate isn't enough, popup scrollbars to let the user do its
job anyway.
  
Comment 20 Mark Banner (:standard8, limited time in Dec) 2008-12-16 05:26:46 PST
*** Bug 469803 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.